Bug 1267278 - [RHEL7.3] LVM Thin Provisioning - feature tracker
[RHEL7.3] LVM Thin Provisioning - feature tracker
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jonathan Earl Brassow
cluster-qe@redhat.com
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 10:07 EDT by Jonathan Earl Brassow
Modified: 2016-01-22 14:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2015-09-29 10:07:08 EDT
RHEL 7.2 tracker: bug 1189117
Comment 1 Jonathan Earl Brassow 2015-09-29 10:08:54 EDT
RESOLVED:

UNRESOLVED:

UNSCHEDULED:
Bug 1163895 [rhel7] LVM Thin: Allow operations on sets of thin volumes.
        Bug 1240549 - Display ancestors and descendants for thin snapshot/origin LVs even after dependency chain is broken after removing some LVs
        Bug 1240555 - Track and report divergence for thin snapshot and origin LVs
Bug 1065456 [rhel7] Thin pool is not readable while waits for pool resize
Bug 1112642 [rhel6] lvs needs an attribute to indicate when a thin pool is out-of-space and unusable [added to 68ProposedDev]
Bug 1227046 [rhel7] lvchange fails to activate thin snap when run quickly after creation
Bug 1164942 [rhel7] LVM Thin: Improve fault handling and recovery -- NOT WELL DEFINED
Bug 1163873 [rhel7] LVM Thin: Add ability to set pool metadata area to read-only
Bug 1075644 [rhel7] Resizing pool metadata on RAID10 LV fails due to rounding error
Bug 1149279 [rhel6] exclusive activation of lvol0_pmspare is not maintained after a pvmove of it's device
Bug 1152806 [rhel7] LVM Thin: Add ability to specify preferred allocation size for individual thin LVs
Bug 1189206 [rhel7] DM Thin (kernel): Add ability to specify preferred allocation size for individual thin LVs
Bug 1189210 [rhel7] DM Thin(kernel): Ability to create fully provisioned thin-LVs
Bug 1189212 [rhel7] LVM Thin: Ability to create fully provisioned thin-LVs
Bug 1077368 [rhel7] make 'lvresize --poolmetadatasize' round values like 'lvresize -L' does
Bug 1104702 [rhel6] [RFE] Thin pool should support offline metadata resize -- SPLIT INTO LVM AND DMPD PACKAGE BUGS 
Bug 1091562 [rhel6] LVM THIN: Unable to perform vgsplit when specifying thin[pool] by name
Bug 1000604 [rhel7] allow user to switch thin-pool to read-only mode at a configurable low space threshold
Bug 1149287 [RHEL6] pvmove doesn't work on exclusively activated clustered thin pool volumes
Bug 1079430 [rhel7] [RFE] Allow creating pmspare volume on RAID
Bug 1163529 [rhel7] LVM Thin: Warn if Thin/CacheMetadataLV is not on fast storage.
Bug 1163532 [rhel7] LVM Thin: Allow a thin pool to be defragmented
Bug 1163880 [rhel7] LVM Thin: Add vgsplit/vgmerge support for thin[pools]
Bug 1163894 [rhel7] LVM Thin: Record and display 'origin' and divergence time for thin snapshots
Bug 1164915 [rhel7] LVM Thin: Create thin-volumes from existing old-style snapshots
Bug 1164933 [rhel7] LVM Thin: Add ability to import LVs into a thin pool
Bug 1164947 [rhel7] LVM Thin: /boot support for ThinLVs
Bug 1149008 [rhel6] exclusive activation of thin pool and thin origin device is not maintained when mixing and merging thin and non thin snapshots
Bug 1176986 [rhel7] RFE: no-over-provisioning mode for thin
Comment 2 Jonathan Earl Brassow 2015-10-06 17:55:30 EDT
Bug 1221372 - thinp tools do not handle over large metadata devices
Comment 3 Jonathan Earl Brassow 2016-01-22 13:49:19 EST
Bug 1121279 - running thin-check should clear the needs-check flag or at least tell you how to clear it.
Comment 4 Jonathan Earl Brassow 2016-01-22 14:16:22 EST
Bug 1136979 - RFE: require an explicit option to swap metadata lv in a pool

Note You need to log in before you can comment on or make changes to this bug.